package trends;

import java.util.HashSet;
import java.util.Set;

import twitter4j.internal.org.json.JSONArray;
import twitter4j.internal.org.json.JSONException;
import twitter4j.internal.org.json.JSONObject;

public class UserInfo {	
	String screen_name;
	int follower_count = 0;
	int friend_count = 0;
	int listed_count = 0;
	
	UserInfo(String screen_name,int follower_count,int friend_count,int listed_count) {	
		this.screen_name = new String(screen_name);
		this.follower_count = follower_count;
		this.friend_count = friend_count;
		this.listed_count = listed_count;		
	}
	
	public Set<Long> getIntersection(Set<Long> set1, Set<Long> set2) {
        boolean set1IsLarger = set1.size() > set2.size();
        Set<Long> cloneSet = new HashSet<Long>(set1IsLarger ? set2 : set1);
        cloneSet.retainAll(set1IsLarger ? set1 : set2);
        return cloneSet;
    }
	
	public JSONObject getJSON() {
		JSONObject wrapper = new JSONObject();
		try {        	          	
          	wrapper.put("screen_name", screen_name);          	
			wrapper.put("friend_count",friend_count);
          	wrapper.put("follower_count",follower_count);
			wrapper.put("listed_count",listed_count);
			JSONArray list = new JSONArray();
			wrapper.put("retweet_followers",list);          	  	                               
        } catch (JSONException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return wrapper;
	}
}